using NetinaShop.Domain.Dtos.ScraperDtos.Response;

namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IScraperRestApi
{
    [Get("/digi")]
    Task<List<ScraperProductDto>> SearchDigiProductsAsync([Query] string productName, [Header("Authorization")]string authorization);
    [Post("/digi/{productId}")]
    Task<bool> AddDigiProductToShopAsync(string productId, [Query] string productName, [Header("Authorization")] string authorization);
}